import { Injectable } from '@angular/core';
import { RoleEnum } from '@msfa-enums/role.enum';
import { mapResponseToRoles, Role } from '@msfa-models/role.model';

@Injectable({
  providedIn: 'root',
})
export class RoleService {
  public get allRoles(): Role[] {
    return mapResponseToRoles(Object.keys(RoleEnum) as RoleEnum[]);
  }
}
